<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/> <!-- start step ! starts from 0 ! -->
        <numSteps value="4"/> <!-- end step -->
        <startTime value="0.1"/>
        <delta  value="0.1"/>
        <deleteOffset value="no"/>
      </startStop>
    </stepValueDefinition>
    
    
    <meshInput id="input1" gridType="fullGrid">  <!-- id = name of this filter -> the loaded data will be set with the name "input1"-->
      <inputFile>
        <hdf5 fileName="srcData/source.h5"/>
      </inputFile>
    </meshInput>


    <interpolation type="FieldInterpolation_NearestNeighbour" id="interp1" inputFilterIds="input1">
      <IntSchemeNN interpolationExponent="5" numNeighbours="15"/>
      <targetMesh>
        <hdf5 fileName="mesh/mesh.h5"/>
      </targetMesh>
      <singleResult>
        <inputQuantity resultName="acouRhsLoad"/>
        <outputQuantity resultName="acouRhsLoad"/> <!-- can be used for a velocity field aswell -->
      </singleResult>
      <regions>
        <sourceRegions>
          <region name="fluid" />
        </sourceRegions>
        <targetRegions>
          <region name="fluid"/>
          <!--          interploation on surface-->
          <region name="bottom"/> 
          <region name="top"/>
          <region name="inlet"/>
          <region name="outlet"/>
        </targetRegions>
      </regions>
    </interpolation>
    
    
    <meshOutput id="NearestNeighbour_hdf5" inputFilterIds="interp1">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="1" externalFiles="no"/> <!-- compression level (greater number = bigger compression; default=1) -->
      </outputFile>
      <saveResults>
        <result resultName="acouRhsLoad">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>
  </pipeline>
</cfsdat>


